#include "WindowsAlerter.h"
#include <jawt.h>
#include <jawt_md.h>
#include <assert.h>
#include <windows.h>

JNIEXPORT void JNICALL
Java_WindowsAlerter_alert(JNIEnv *env, jobject obj , jobject frame)
{
	JAWT awt;
	JAWT_DrawingSurface* ds;
	JAWT_DrawingSurfaceInfo* dsi;
	JAWT_Win32DrawingSurfaceInfo* dsi_win;
 
	jboolean result;
	jint lock;

	// Get the AWT
	awt.version = JAWT_VERSION_1_3;
  	result = JAWT_GetAWT(env, &awt);
	assert(result != JNI_FALSE);

	// Get the drawing surface
	ds = awt.GetDrawingSurface(env, frame);
	if(ds == NULL)
		return;

	// Lock the drawing surface
	lock = ds->Lock(ds);
	assert((lock & JAWT_LOCK_ERROR) == 0);

	// Get the drawing surface info
	dsi = ds->GetDrawingSurfaceInfo(ds);
 
	// Get the platform-specific drawing info
	dsi_win = (JAWT_Win32DrawingSurfaceInfo*)dsi->platformInfo;
 
	FlashWindow(dsi_win->hwnd,TRUE);
    
    return;
}
